Package org.opengis.cite.iso19142.simple

# Class DescribeStoredQueriesTests

java.lang.Object
org.opengis.cite.iso19142.BaseFixture
org.opengis.cite.iso19142.simple.DescribeStoredQueriesTests

public class DescribeStoredQueriesTests extends BaseFixture
Tests the service response to a DescribeStoredQueries request. This operation provides a detailed description of each stored query that a server offers.

See Also:
  - "ISO 19142:2010, cl. 14.2: Defining stored queries"
  - "ISO 19142:2010, cl. 14.4: DescribeStoredQueries operations [sic]"

- ## Field Summary

  ### Fields inherited from class org.opengis.cite.iso19142.BaseFixture

  `docBuilder, ETS_PKG, featureInfo, featureTypes, reqEntity, rspEntity, supportedBindings, TNS_PREFIX, wfsClient, wfsMetadata, wfsVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DescribeStoredQueriesTests()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) void`
  `addQueryIdentifier(Document request, String queryId)`
  Adds a wfs:StoredQueryId element with the given text value.
  `void`
  `clearQueryIdentifiers()`
  `void`
  `describeAllStoredQueries(ProtocolBinding binding)`
  If no stored query identifiers are supplied in the request then all stored queries offered by a server shall be described (one or more).
  `void`
  `describeStoredQuery_GetFeatureById(ProtocolBinding binding)`
  A conforming service must implement at least the GetFeatureById stored query, which has the identifier "http://www.opengis.net/def/query/OGC-WFS/0/GetFeatureById".
  `(package private) void`
  `removeAllQueryIdentifiers(Document reqEntity)`
  Removes all wfs:StoredQueryId elements from the request entity.
  `void`
  `setupClassFixture(org.testng.ITestContext testContext)`
  Retrieves the (pre-compiled) WFS schema from the suite fixture and builds a DOM Document node representing the request entity.

  ### Methods inherited from class org.opengis.cite.iso19142.BaseFixture

  `addAttributesOnTestFailure, allProtocolsAndFeatureTypes, bindingAndAvailFeatureTypeProductSet, extractBodyAsDocument, getFeatureTypes, getInstantiatedFeatureTypes, getProtocolBindings, initBaseFixture, initParser, setWfsClient`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DescribeStoredQueriesTests

    public DescribeStoredQueriesTests()

- ## Method Details

  - ### setupClassFixture

    @BeforeClass public void setupClassFixture(org.testng.ITestContext testContext)
    Retrieves the (pre-compiled) WFS schema from the suite fixture and builds a DOM Document node representing the request entity.
    Parameters:
      `testContext` - The test (group) context.

  - ### clearQueryIdentifiers

    @BeforeMethod public void clearQueryIdentifiers()

  - ### describeAllStoredQueries

    public void describeAllStoredQueries(ProtocolBinding binding)
    If no stored query identifiers are supplied in the request then all stored queries offered by a server shall be described (one or more).
    Parameters:
      `binding` - The ProtocolBinding to use.
    See Also:
      - "ISO 19142:2010, cl. 14.4.2: XML encoding"
      - "ISO 19142:2010, Table 21: Keywords for DescribeStoredQueries KVP-encoding"

  - ### describeStoredQuery_GetFeatureById

    public void describeStoredQuery_GetFeatureById(ProtocolBinding binding)
    A conforming service must implement at least the GetFeatureById stored query, which has the identifier "http://www.opengis.net/def/query/OGC-WFS/0/GetFeatureById".

    Note: The URN form of the query identifier was deprecated in WFS 2.0.2; the 'http' URI is preferred.

    Parameters:
      `binding` - The ProtocolBinding to use.
    See Also:
      - "ISO 19142:2010, cl. 7.9.3.6: GetFeatureById stored query"

  - ### removeAllQueryIdentifiers

    void removeAllQueryIdentifiers(Document reqEntity)
    Removes all wfs:StoredQueryId elements from the request entity.
    Parameters:
      `reqEntity` - A Document with wfs:DescribeStoredQueries as the document element.

  - ### addQueryIdentifier

    void addQueryIdentifier(Document request, String queryId)
    Adds a wfs:StoredQueryId element with the given text value.
    Parameters:
      `request` - A Document with wfs:DescribeStoredQueries as the document element.
      `queryId` - A URI value that identifies a stored query.